package org.firstinspires.ftc.teamcode.cometbots.paths;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class HighBasketPath6b {


    public void moveToBasketPath6(Follower robot) {
        PathChain pathChain;
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        // Line 1
                        new BezierLine(
                                new Point(27.000, 128.000, Point.CARTESIAN),
                                new Point(92.448, 125.671, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(315), Math.toRadians(270))
                .addPath(
                        // Line 2
                        new BezierLine(
                                new Point(92.448, 125.671, Point.CARTESIAN),
                                new Point(93.000, 94.000, Point.CARTESIAN)
                        )
                )
                .setTangentHeadingInterpolation();
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

